LibreOffice: XLayerHandler Interface Reference

LibreOffice LibreOffice 7.4 SDK API Reference

Loading...
Searching...
No Matches
Public Member Functions | List of all members
XLayerHandler Interface Referencepublished

receives a description of a configuration layer as a sequence of events. More...

Inheritance diagram for XLayerHandler:

## Public Member Functions
void | startLayer () raises ( MalformedDataException, com::sun::star::lang::WrappedTargetException )
| receives notification that a layer description is started for a component.
void | endLayer () raises ( MalformedDataException, com::sun::star::lang::WrappedTargetException )
| receives notification that a layer description is complete.
void | overrideNode ([in] string aName, [in] short aAttributes, [in] boolean bClear) raises ( MalformedDataException, com::sun::star::lang::WrappedTargetException )
| receives notification that a description of a node override is started.
void | addOrReplaceNode ([in] string aName, [in] short aAttributes) raises ( MalformedDataException, com::sun::star::lang::WrappedTargetException )
| receives notification that a new item is started.
void | addOrReplaceNodeFromTemplate ([in] string aName, [in] TemplateIdentifier aTemplate, [in] short aAttributes) raises ( MalformedDataException, com::sun::star::lang::WrappedTargetException )
| receives notification that a new item based on a particular template is started.
void | endNode () raises ( MalformedDataException, com::sun::star::lang::WrappedTargetException )
| receives notification that a node description is complete.
void | dropNode ([in] string aName) raises ( MalformedDataException, com::sun::star::lang::WrappedTargetException )
| receives notification that a node is dropped from a set.
void | overrideProperty ([in] string aName, [in] short aAttributes, [in] type aType, [in] boolean bClear) raises ( MalformedDataException, com::sun::star::lang::WrappedTargetException )
| receives notification that an existing property is modified.
void | setPropertyValue ([in] any aValue) raises ( MalformedDataException, com::sun::star::lang::WrappedTargetException )
| receives notification that the value of the current property is overridden.
void | setPropertyValueForLocale ([in] any aValue, [in] string aLocale) raises ( MalformedDataException, com::sun::star::lang::WrappedTargetException )
| receives notification that the value of the current localized property is overridden for a specific locale .
void | endProperty () raises ( MalformedDataException, com::sun::star::lang::WrappedTargetException )
| receives notification that a property description is complete.
void | addProperty ([in] string aName, [in] short aAttributes, [in] type aType) raises ( MalformedDataException, com::sun::star::lang::WrappedTargetException )
| receives notification that a property having a `VOID` value is added to the current node.
void | addPropertyWithValue ([in] string aName, [in] short aAttributes, [in] any aValue) raises ( MalformedDataException, com::sun::star::lang::WrappedTargetException )
| receives notification that a property having a non-`VOID` value is added to the current node.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

receives a description of a configuration layer as a sequence of events.

Since
  OOo 1.1.2

## Member Function Documentation

## ◆ addOrReplaceNode()

void addOrReplaceNode | ( | [in] string | aName,
|  | [in] short | aAttributes
| ) |  |
raises | ( | MalformedDataException,
|  | com::sun::star::lang::WrappedTargetException
| ) |  |

receives notification that a new item is started.

The current node must be a set and a preexisting item (if any) must be removable.

The new item will be created from the default template of the set.

Subsequent calls describe the difference from the template of properties and members or items of the node until a matching call to XLayerHandler::endNode() is encountered.

Parameters

  aName | specifies the name of the item.
  aAttributes | specifies attribute values to be applied to the new node.

The value is a combination of NodeAttribute flags. Note that NodeAttribute::FUSE has an impact on the semantics of this method.

Exceptions

  com::sun::star::configuration::backend::MalformedDataException | if there isn't a set node in progress currently if there already was a change to a node of that name if the template for the new node is not found if an item of that name on a lower layer is not removable if the name is not a valid item name if the attributes are not valid for the node

Not every implementation can detect each condition

Exceptions

  com::sun::star::lang::WrappedTargetException | if an error occurs processing the event.

See also
  com::sun::star::configuration::backend::NodeAttribute

## ◆ addOrReplaceNodeFromTemplate()

void addOrReplaceNodeFromTemplate | ( | [in] string | aName,
|  | [in] TemplateIdentifier | aTemplate,
|  | [in] short | aAttributes
| ) |  |
raises | ( | MalformedDataException,
|  | com::sun::star::lang::WrappedTargetException
| ) |  |

receives notification that a new item based on a particular template is started.

The current node must be a set and a preexisting item (if any) must be removable.

Subsequent calls describe the difference from the template of properties and members or items of the node until a matching call to XLayerHandler::endNode() is encountered.

Parameters

  aName | specifies the name of the item.
  aTemplate | specifies the template to use for the new node
  aAttributes | specifies attribute values to be applied to the new node.

The value is a combination of NodeAttribute flags. Note that NodeAttribute::FUSE has an impact on the semantics of this method.

Exceptions

  com::sun::star::configuration::backend::MalformedDataException | if there isn't a set node in progress currently if there already was a change to a node of that name if the template for the new node is not found if the template is not a valid item type for the containing set if an item of that name on a lower layer is not removable if the name is not a valid item name if the attributes are not valid for the node

Not every implementation can detect each condition

Exceptions

  com::sun::star::lang::WrappedTargetException | if an error occurs processing the event.

See also
  com::sun::star::configuration::backend::NodeAttribute

## ◆ addProperty()

void addProperty | ( | [in] string | aName,
|  | [in] short | aAttributes,
|  | [in] type | aType
| ) |  |
raises | ( | MalformedDataException,
|  | com::sun::star::lang::WrappedTargetException
| ) |  |

receives notification that a property having a `VOID` value is added to the current node.

The current node must be extensible.

Parameters

  aName | specifies the name of the new property.
  aAttributes | specifies the attributes of the new property.

The value is a combination of NodeAttribute flags and may also contain the SchemaAttribute::REQUIRED flag.

NodeAttribute::MANDATORY need not be set, as dynamically added properties always are mandatory in subsequent layers.

Parameters

  aType | specifies the type of the new property.

Exceptions

  com::sun::star::configuration::backend::MalformedDataException | if there isn't an extensible node in progress currently if a property with that name already exists if the specified type is not allowed for a property if the name is not a valid property name if the attributes are not valid for the property

Not every implementation can detect each condition

Exceptions

  com::sun::star::lang::WrappedTargetException | if an error occurs processing the event.

See also
  com::sun::star::configuration::backend::SchemaAttribute

## ◆ addPropertyWithValue()

void addPropertyWithValue | ( | [in] string | aName,
|  | [in] short | aAttributes,
|  | [in] any | aValue
| ) |  |
raises | ( | MalformedDataException,
|  | com::sun::star::lang::WrappedTargetException
| ) |  |

receives notification that a property having a non-`VOID` value is added to the current node.

The current node must be extensible.

Parameters

  aName | specifies the name of the new property.
  aAttributes | specifies the attributes of the new property.

The value is a combination of NodeAttribute flags and may also contain the SchemaAttribute::REQUIRED flag.

NodeAttribute::MANDATORY need not be set, as dynamic properties always are mandatory in subsequent layers.

Parameters

  aValue | specifies the value of the new property.

The value also determines the type. Therefore the value must not be `VOID`.

Exceptions

  com::sun::star::configuration::backend::MalformedDataException | if there isn't an extensible node in progress currently if a property with that name already exists if the type of the value is not an allowed type or if the value is `VOID` if the name is not a valid property name if the value is not valid for the property if the attributes are not valid for the property

Not every implementation can detect each condition

Exceptions

  com::sun::star::lang::WrappedTargetException | if an error occurs processing the event.

See also
  com::sun::star::configuration::backend::SchemaAttribute

## ◆ dropNode()

void dropNode | ( | [in] string | aName | ) |
raises | ( | MalformedDataException,
|  | com::sun::star::lang::WrappedTargetException
| ) |  |

receives notification that a node is dropped from a set.

The current node must be a set and the item must be removable.

Parameters

  aName | specifies the name of the node.

Exceptions

  com::sun::star::configuration::backend::MalformedDataException | if there isn't a set node in progress currently if there already was a change to a node of that name if there is no item with that name if the item is not removable if the name is not a valid node name

Not every implementation can detect each condition

Exceptions

  com::sun::star::lang::WrappedTargetException | if an error occurs processing the event.

## ◆ endLayer()

void endLayer | ( |  | ) |
raises | ( | MalformedDataException,
|  | com::sun::star::lang::WrappedTargetException
| ) |  |

receives notification that a layer description is complete.

Must match a previous call to XLayerHandler::startLayer().

Exceptions

  com::sun::star::configuration::backend::MalformedDataException | if invalid data is detected in the layer if there is an unfinished subnode in progress if no layer is started at all if the layer tries to override read-only or final data

Not every implementation can detect each condition

Exceptions

  com::sun::star::lang::WrappedTargetException | if an error occurs processing the event.

## ◆ endNode()

void endNode | ( |  | ) |
raises | ( | MalformedDataException,
|  | com::sun::star::lang::WrappedTargetException
| ) |  |

receives notification that a node description is complete.

Must match the last open call to XLayerHandler::overrideNode(), XLayerHandler::addOrReplaceNode() or XLayerHandler::addOrReplaceNodeFromTemplate().

Exceptions

  com::sun::star::configuration::backend::MalformedDataException | if invalid data is detected in the node if no node is started at all

Not every implementation can detect each condition

Exceptions

  com::sun::star::lang::WrappedTargetException | if an error occurs processing the event.

## ◆ endProperty()

void endProperty | ( |  | ) |
raises | ( | MalformedDataException,
|  | com::sun::star::lang::WrappedTargetException
| ) |  |

receives notification that a property description is complete.

Must match an open call to XLayerHandler::overrideProperty(),

Exceptions

  com::sun::star::configuration::backend::MalformedDataException | if invalid data is detected in the property if no property is started at all

Not every implementation can detect each condition

Exceptions

  com::sun::star::lang::WrappedTargetException | if an error occurs processing the event.

## ◆ overrideNode()

void overrideNode | ( | [in] string | aName,
|  | [in] short | aAttributes,
|  | [in] boolean | bClear
| ) |  |
raises | ( | MalformedDataException,
|  | com::sun::star::lang::WrappedTargetException
| ) |  |

receives notification that a description of a node override is started.

Subsequent calls describe overrides to properties and members or items of the node until a matching call to XLayerHandler::endNode()is encountered.

Parameters

  aName | specifies the name of the node.
  aAttributes | specifies attribute values to be applied to the node.

The value is a combination of NodeAttribute flags.

The attributes are combined cumulatively with those set on lower layers.

Parameters

  bClear | if `TRUE`, specifies that the node should be cleared to an empty state by removing all non-mandatory children from lower layers prior to applying the overrides.

Exceptions

  com::sun::star::configuration::backend::MalformedDataException | if there isn't a layer in progress if there already was a change to that node if there is no node with that name if the node is marked read-only in a lower layer if the name is not a valid node name if the attributes are not valid for the node

Not every implementation can detect each condition

Exceptions

  com::sun::star::lang::WrappedTargetException | if an error occurs processing the event.

See also
  com::sun::star::configuration::backend::NodeAttribute

## ◆ overrideProperty()

void overrideProperty | ( | [in] string | aName,
|  | [in] short | aAttributes,
|  | [in] type | aType,
|  | [in] boolean | bClear
| ) |  |
raises | ( | MalformedDataException,
|  | com::sun::star::lang::WrappedTargetException
| ) |  |

receives notification that an existing property is modified.

Subsequent calls describe new value(s) for the property until a matching call to XLayerHandler::endProperty() is encountered.

Parameters

  aName | specifies the name of the property.
  aAttributes | specifies the new attributes of the property.

The value is a combination of NodeAttribute flags.

The attributes are combined cumulatively with those set on lower layers.

Parameters

  aType | specifies the type of the property.

This must be the same type as is already defined in the schema or lower layers, unless the previous type was unspecified (as indicated by com::sun::star::uno::TypeClass::ANY.)

A `VOID` type indicates that the type is unspecified in this layer. In this case any subsequent value may be of a generic type (e.g. `string` or - for list values - `string[]`.) Such values may be converted to the type defined in the schema by the implementation.

Parameters

  bClear | if `TRUE`, specifies that the property should be cleared to an empty state by discarding all values from lower layers prior to applying the overrides.

Exceptions

  com::sun::star::configuration::backend::MalformedDataException | if there isn't a group or extensible node in progress currently if there already was a change to a property of that name if there is no property with that name if the property is read-only if the type does not match the type of the property if a type is missing and cannot be determined otherwise if the name is not a valid property name if the attributes are not valid for the property

Not every implementation can detect each condition

Exceptions

  com::sun::star::lang::WrappedTargetException | if an error occurs processing the event.

See also
  com::sun::star::configuration::backend::NodeAttribute

## ◆ setPropertyValue()

void setPropertyValue | ( | [in] any | aValue | ) |
raises | ( | MalformedDataException,
|  | com::sun::star::lang::WrappedTargetException
| ) |  |

receives notification that the value of the current property is overridden.

Parameters

  aValue | specifies the new value of the property.

The value must match the type of the current property. If the property does not have the SchemaAttribute::REQUIRED flag set, the value can be `VOID`.

If the current property is localized, this value applies to the default locale.

Exceptions

  com::sun::star::configuration::backend::MalformedDataException | if there isn't a property in progress currently if there already was a change to the value of that property if the value does not have the proper type if the value is not valid for the property

Not every implementation can detect each condition

Exceptions

  com::sun::star::lang::WrappedTargetException | if an error occurs processing the event.

See also
  com::sun::star::configuration::backend::NodeAttribute

## ◆ setPropertyValueForLocale()

void setPropertyValueForLocale | ( | [in] any | aValue,
|  | [in] string | aLocale
| ) |  |
raises | ( | MalformedDataException,
|  | com::sun::star::lang::WrappedTargetException
| ) |  |

receives notification that the value of the current localized property is overridden for a specific locale .

Parameters

  aValue | specifies the new value of the property.

The value must match the type of the current property. If the property does not have the SchemaAttribute::REQUIRED flag set, the value can be `VOID`.

Parameters

  aLocale | specifies the locale this value should apply to.

Exceptions

  com::sun::star::configuration::backend::MalformedDataException | if there isn't a property in progress currently if the current property isn't localized if there already was a change to the property for that locale if the value does not have the proper type if the value is not valid for the property if the locale is not a valid locale

Not every implementation can detect each condition

Exceptions

  com::sun::star::lang::WrappedTargetException | if an error occurs processing the event.

See also
  com::sun::star::configuration::backend::NodeAttribute

## ◆ startLayer()

void startLayer | ( |  | ) |
raises | ( | MalformedDataException,
|  | com::sun::star::lang::WrappedTargetException
| ) |  |

receives notification that a layer description is started for a component.

Subsequent calls describe the contents of the layer until a matching call to XLayerHandler::endLayer() is encountered.

Exceptions

  com::sun::star::configuration::backend::MalformedDataException | if there is an unfinished layer in progress
  com::sun::star::lang::WrappedTargetException | if an error occurs processing the event.

The documentation for this interface was generated from the following file:

- com/sun/star/configuration/backend/XLayerHandler.idl